> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Add merge field

POST https://api.mailchimp.com/3.0/lists/{list_id}/merge-fields
Content-Type: application/json

Add a new merge field for a specific audience.

Reference: https://mailchimp.com/developer/marketing/api/lists/create-merge-field

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — The name of the merge field (audience field).
- `type` (enum, required) — The [type](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for the merge field.
  - Allowed values: `text`, `number`, `address`, `phone`, `date`, `url`, `imageurl`, `radio`, `dropdown`, `birthday`, `zip`
- `default_value` (string, optional) — The default value for the merge field if `null`.
- `display_order` (integer, optional) — The order that the merge field displays on the list signup form.
- `help_text` (string, optional) — Extra text to help the subscriber fill out the form.
- `options` (30ListsListIdMergeFieldsPostRequestBodyContentApplicationJsonSchemaOptions, optional) — Extra options for some merge field types.
- `public` (boolean, optional) — Whether the merge field is displayed on the signup form.
- `required` (boolean, optional) — Whether the merge field is required to import a contact.
- `tag` (string, optional) — The merge tag used for Mailchimp campaigns and [adding contact information](https://mailchimp.com/developer/marketing/docs/merge-fields/#add-merge-data-to-contacts).

## Response

### 200

- `_links` (list of MergeFieldLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `default_value` (string, optional) — The default value for the merge field if `null`.
- `display_order` (integer, optional) — The order that the merge field displays on the list signup form.
- `help_text` (string, optional) — Extra text to help the subscriber fill out the form.
- `list_id` (string, optional) — The ID that identifies this merge field's audience'.
- `merge_field_limit` (integer, optional) — The maximum number of merge fields this audience can hold. The limit is determined by the account's plan. Returned on POST responses only. Subtract `total_items` from this value to derive the remaining capacity.
- `merge_id` (integer, optional) — An unchanging id for the merge field.
- `name` (string, optional) — The name of the merge field (audience field).
- `options` (MergeFieldOptions, optional) — Extra options for some merge field types.
- `public` (boolean, optional) — Whether the merge field is displayed on the signup form.
- `required` (boolean, optional) — The boolean value if the merge field is required.
- `tag` (string, optional) — The merge tag used for Mailchimp campaigns and [adding contact information](https://mailchimp.com/developer/marketing/docs/merge-fields/#add-merge-data-to-contacts).
- `total_items` (integer, optional) — The total number of merge fields on the audience after this field was created. Returned on POST responses only.
- `type` (enum, optional) — The [type](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for the merge field.
  - Allowed values: `text`, `number`, `address`, `phone`, `date`, `url`, `imageurl`, `radio`, `dropdown`, `birthday`, `zip`

## Types

### 30ListsListIdMergeFieldsPostRequestBodyContentApplicationJsonSchemaOptions

Extra options for some merge field types.

- `choices` (list of string, optional) — In a radio or dropdown non-group field, the available options for contacts to pick from.
- `date_format` (string, optional) — In a date or birthday field, the format of the date.
- `default_country` (integer, optional) — In an address field, the default country code if none supplied.
- `phone_format` (string, optional) — In a phone field, the phone number type: US or International.
- `size` (integer, optional) — In a text field, the default length of the text field.

### MergeFieldLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### MergeFieldOptions

Extra options for some merge field types.

- `choices` (list of string, optional) — In a radio or dropdown non-group field, the available options for contacts to pick from.
- `date_format` (string, optional) — In a date or birthday field, the format of the date.
- `default_country` (integer, optional) — In an address field, the default country code if none supplied.
- `phone_format` (string, optional) — In a phone field, the phone number type: US or International.
- `size` (integer, optional) — In a text field, the default length of the text field.

## Examples

**Request**

```json
{
  "name": "string",
  "type": "text"
}
```

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "default_value": "string",
  "display_order": 1,
  "help_text": "string",
  "list_id": "string",
  "merge_field_limit": 30,
  "merge_id": 1,
  "name": "string",
  "options": {
    "choices": [
      "First Choice",
      "Second Choice",
      "Third Choice"
    ],
    "date_format": "string",
    "default_country": 1,
    "phone_format": "string",
    "size": 1
  },
  "public": true,
  "required": true,
  "tag": "string",
  "total_items": 28,
  "type": "text"
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/merge-fields"

payload = {
    "name": "string",
    "type": "text"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/merge-fields';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"string","type":"text"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/merge-fields"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"type\": \"text\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/merge-fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"type\": \"text\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mailchimp.com/3.0/lists/list_id/merge-fields")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"type\": \"text\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mailchimp.com/3.0/lists/list_id/merge-fields', [
  'body' => '{
  "name": "string",
  "type": "text"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/merge-fields");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"type\": \"text\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "string",
  "type": "text"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/merge-fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```